| Flutter macOS Embedder |

Instance Methods | Properties | List of all members
FlutterMutatorView Class Reference

`#import <FlutterMutatorView.h>`

Inheritance diagram for FlutterMutatorView:

## Instance Methods
(nonnull instancetype) | - initWithPlatformView:cursorCoordiator:
| Designated initializer. More...
(nonnull instancetype) | - initWithPlatformView:
(void) | - applyFlutterLayer:
(void) | - resetHitTestRegion
| Resets hit hit testing region for this mutator view. More...
(void) | - addHitTestIgnoreRegion:

## Properties
NSView * | platformView
| Returns wrapped platform view. More...

## Detailed Description

FlutterMutatorView contains platform view and is responsible for applying FlutterLayer mutations to it.

Definition at line 63 of file FlutterMutatorView.h.

## Method Documentation

## ◆ addHitTestIgnoreRegion:

- (void) addHitTestIgnoreRegion: |  | (CGRect) | region |

Adds rectangle (in local vie coordinates) to hit test ignore region (part of view obscured by Flutter contents).

Definition at line 417 of file FlutterMutatorView.mm.

530 :(CGRect)region {
531 self->_hitTestIgnoreRegion.push_back(region);
532 }

Referenced by TEST().

## ◆ applyFlutterLayer:

- (void) applyFlutterLayer: |  | (nonnull const flutter::PlatformViewLayer *) | layer |

Applies mutations from FlutterLayer to the platform view. This may involve creating or removing intermediate subviews depending on current state and requested mutations.

## ◆ initWithPlatformView:

- (nonnull instancetype) initWithPlatformView: |  | (nonnull NSView *) | platformView |

## ◆ initWithPlatformView:cursorCoordiator:

- (nonnull instancetype) initWithPlatformView: |  | (nonnull NSView *) | platformView
cursorCoordiator: |  | (nullable FlutterCursorCoordinator *) | coordinator

Designated initializer.

## ◆ resetHitTestRegion

- (void) resetHitTestRegion |  |  |

Resets hit hit testing region for this mutator view.

Definition at line 417 of file FlutterMutatorView.mm.

526 {
527 self->_hitTestIgnoreRegion.clear();
528 }

Referenced by TEST().

## Property Documentation

## ◆ platformView

- (NSView *) platformView
| readatomicassign

Returns wrapped platform view.

Definition at line 72 of file FlutterMutatorView.h.

Referenced by TEST().

The documentation for this class was generated from the following files:

- shell/platform/darwin/macos/framework/Source/FlutterMutatorView.h
- shell/platform/darwin/macos/framework/Source/FlutterMutatorView.mm